local L;

-- English US localization
L = LibStub("AceLocale-3.0"):NewLocale("BeneCast", "enUS", true)

if L then
	L['Unknown'] = true;
	L['Empty'] = true;
	L['Assist'] = true;
	L['Locked'] = true;
	L['Cascade Player Config'] = true;
	L['Hide the minimap button'] = true;
	L['Button Size'] = true;
	L['Number of Buttons'] = true;
	L['Settings'] = true;
	L['Show Button Tooltips'] = true;
	L['Spell Name Only'] = true;
	L['Always Show Buttons'] = true;
	L['Unlock Buttons'] = true;
	L['Snap To Options'] = true;
	L['Show Pet Buttons'] = true;
	L['Bottom'] = true;
	L['Top'] = true;
	L['Right'] = true;
	L['Left'] = true;
	L['Flash as Fade'] = true;
	L['Check Range for Target'] = true;
	L["Show Target's Target"] = true;
end

-- German DE localization
-- translation by Scarabeus (Nevetina)
-- and Auric
-- Some differences in the two translations. Not sure which ones are correct. Picked whichever 'felt' right
L = LibStub("AceLocale-3.0"):NewLocale("BeneCast", "deDE");

if L then
	L['Unknown'] = 'Unbekannt';
	L['Empty'] = 'Leer';
	L['Assist'] = 'Ziel helfen';
	L['Locked'] = 'Gesperrt';
	L['Cascade Player Config'] = 'Konfig f\195\188r alle';
	L['Hide the minimap button'] = 'Konfigurations\nButton ausblenden';
	L['Button Size'] = 'Button Gr\195\182\195\159e';
	L['Number of Buttons'] = 'Anzahl der Buttons';
	L['Settings'] = 'Einstellungen';
	L['Show Button Tooltips'] = 'Button Tooltips\nanzeigen';
	L['Spell Name Only'] = 'nur Spell Name';
	L['Always Show Buttons'] = 'Buttons immer\nanzeigen';
	L['Unlock Buttons'] = 'Buttons entsperren';
	L['Snap To Options'] = 'Buttons fangen';
	L['Show Pet Buttons'] = 'Pet-Buttons anzeigen';
	L['Bottom'] = 'Unten';
	L['Top'] = 'Oben';
	L['Right'] = 'Rechts';
	L['Left'] = 'Links';
	L['Flash as Fade'] = 'Ausgrauen statt Blinken';
	L['Check Range for Target'] = 'Pr\195\188fe,\nob Ziel in Reichweite';
	L["Show Target's Target"] = 'Ziel des Ziels anzeigen';
end

L = AceLocale:GetLocale('BeneCast');